=== activities/io/CMakeLists.txt ===
add_subdirectory(dicom)
add_subdirectory(dicomweb)
add_subdirectory(ioActivity)
