=== apps/SightViewer/CMakeLists.txt ===
sight_add_target(SightViewer TYPE APP)

add_dependencies(
    SightViewer
    sightrun
    module_appXml
    module_ui_base
    module_viz_scene3d
    module_ui_qt
    module_viz_scene3dQt
    module_service
    data
    viz_scene2d
    module_ui_base
    module_ui_viz
    module_ui_flaticons
    module_io_vtk
    module_io_dicom
    module_io_session
    module_viz_scene2d
    module_data
    module_filter_image
    config_viz_scene3d
    config_io_dimse
)

# Allow dark theme via module_ui_qt
module_param(
    module_ui_qt PARAM_LIST resource stylesheet PARAM_VALUES sight::module::ui::qt/flatdark.rcc
                                                             sight::module::ui::qt/flatdark.qss
)

# Main application's configuration to launch
module_param(module_appXml PARAM_LIST config PARAM_VALUES SightViewer_AppCfg)

sight_generate_profile(SightViewer)
