=== configs/io/CMakeLists.txt ===
add_subdirectory(dimse)
