=== debian/changelog ===
sight (21.1.1-3) unstable; urgency=medium

  * Team upload.
  * d/rules: ventilate dh_auto_configure command.
  * d/rules: set SIGHT_ARCH to force CPU baseline.
    The default provided by cmake files is to build with x86-64-v3 which
    would include avx and avx2 support and leading to baseline violations
    otherwise. (Closes: #1023260)

 -- Étienne Mollier <emollier@debian.org>  Tue, 01 Nov 2022 13:04:26 +0100

sight (21.1.1-2) unstable; urgency=medium

  * d/p/: Remove patches applied upstream
    Add several patches to fix lintian warnings
    Add fix to build with gcc12 (Closes: #1016276)

 -- Flavien Bridault <fbridault@ircad.fr>  Sat, 30 Jul 2022 09:51:09 +0200

sight (21.1.1-1) unstable; urgency=medium

  [ Pierre Gruet ]
  * Team upload
  * Conforming to opencv 4.6.0 interface (Closes: #1013903)
  * Checking the package now builds with gcc-12 (Closes: #1013036)
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

  [ Flavien Bridault ]
  * New upstream version
  * d/p/: Remove patches applied upstream
    Add several patches to fix lintian warnings
    Add fix to build with gcc12. Closes: #1013036
  * d/rules: disable samples build
  * Build-Depends: remove libcamp-dev
  * Depends: remove libcamp

 -- Pierre Gruet <pgt@debian.org>  Fri, 15 Jul 2022 00:13:29 +0200
