## sight 23.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,10 @@
 # Use old policy for Documentation to add cache variables and find VTK documentation dependent packages.
 # (Needed for doxygen..)
 cmake_policy(SET CMP0106 OLD)
-
-if(${CMAKE_VERSION} VERSION_GREATER "3.20.0")
+# Use new policy for CMAKE_MSVC_DEBUG_INFORMATION_FORMAT
+cmake_policy(SET CMP0141 NEW)
+
+if(${CMAKE_VERSION} VERSION_GREATER "3.25.0")
     # Transform the ``DEPFILE`` after running the custom command for Ninja generator.
     cmake_policy(SET CMP0116 OLD)
 endif()
@@ -40,7 +42,7 @@
 
 project(
     sight
-    VERSION 21.1.0
+    VERSION 23.1.0
     DESCRIPTION "Surgical Image Guidance and Healthcare Toolkit"
     HOMEPAGE_URL "https://git.ircad.fr/sight/sight"
 )
@@ -63,6 +65,7 @@
 
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/flags.cmake)
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/macros.cmake)
+include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/pch.cmake)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/linux/modules)
 
 # We find VTK to know its version so we can enable PCL or not
@@ -81,7 +84,7 @@
 set(SIGHT_TESTS_FILTER "" CACHE STRING "Allows to only build/run tests whose path contains the filter string.")
 mark_as_advanced(SIGHT_TESTS_FILTER)
 
-if(UNIX AND (${CMAKE_BUILD_TYPE} STREQUAL "Debug" OR ${CMAKE_BUILD_TYPE} STREQUAL "RelWithDebInfo"))
+if(UNIX)
     option(SIGHT_ENABLE_GDB
            "Test scripts will attach GDB, allowing to generate core file and print backtrace in case of crash." OFF
     )
@@ -94,28 +97,20 @@
 
 # Use clang-tidy linter
 option(SIGHT_ENABLE_CLANG_TIDY "Enable Clang Tidy checks" OFF)
-mark_as_advanced(SIGHT_TESTS_FILTER)
+mark_as_advanced(SIGHT_ENABLE_CLANG_TIDY)
 
 if(SIGHT_ENABLE_CLANG_TIDY)
     # cmake-lint: disable=C0301
-    find_program(CLANG_TIDY NAMES "clang-tidy" "clang-tidy-10" "clang-tidy-11" "clang-tidy-12" "clang-tidy-13" REQUIRED)
-    set(CMAKE_CXX_CLANG_TIDY
-        ${CLANG_TIDY};--header-filter=.*;--checks=*,-llvm-header-guard,-llvm-include-order,-llvmlibc-*,-fuchsia-*,-altera-struct-pack-align,-cppcoreguidelines-macro-usage,-bugprone-macro-parentheses;--use-color;--export-fixes=.clang-tidy-fixes.yaml
-    )
+    find_program(CLANG_TIDY NAMES "clang-tidy" "clang-tidy-14" REQUIRED)
+    set(CMAKE_CXX_CLANG_TIDY ${CLANG_TIDY};--use-color;--export-fixes=.clang-tidy-fixes.yaml)
+
+    # Also generate compile_commands.json which is useful when launching clang-tidy by "hand"
+    set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 endif()
 
 # QML_IMPORT_PATH allows qtCreator to find the qml modules created in our modules
 set(QML_IMPORT_PATH "" CACHE STRING "Path of the Qml modules." FORCE)
 mark_as_advanced(QML_IMPORT_PATH)
-
-include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/PrecompiledHeader.cmake)
-
-if(MSVC)
-    if(NOT DEFINED CMAKE_PCH_COMPILER_TARGETS)
-        # this will be executed in just before makefile generation
-        variable_watch(CMAKE_BACKWARDS_COMPATIBILITY pch_msvc_hook)
-    endif()
-endif()
 
 if(CMAKE_CONFIGURATION_TYPES)
     set(CMAKE_CONFIGURATION_TYPES ${CMAKE_BUILD_TYPE} CACHE STRING "List of supported configurations." FORCE)
@@ -133,20 +128,25 @@
 if(SIGHT_ENABLE_ENCRYPTED_LOG)
     add_compile_definitions(SIGHT_ENABLE_ENCRYPTED_LOG)
 endif()
-add_compile_definitions(SIGHT_DEFAULT_PASSWORD="${SIGHT_DEFAULT_PASSWORD}")
+if(SIGHT_DEFAULT_PASSWORD)
+    add_compile_definitions(SIGHT_DEFAULT_PASSWORD="${SIGHT_DEFAULT_PASSWORD}")
+endif()
 
 # Use solution folders.
 set_property(GLOBAL PROPERTY USE_FOLDERS ON)
 set_property(GLOBAL PROPERTY AUTOGEN_TARGETS_FOLDER automoc)
 
-# Make openvslam optional
-option(SIGHT_ENABLE_OPENVSLAM "Enable OpenVSLAM" OFF)
-
+# Make openvslam optional on Linux
+if(NOT MSVC)
+    option(SIGHT_ENABLE_OPENVSLAM "Enable OpenVSLAM" OFF)
+endif()
 # Make Realsense optional
 option(SIGHT_ENABLE_REALSENSE "Enable RealSense" OFF)
 
 # Make samples/tutorials build optional
 option(SIGHT_BUILD_EXAMPLES "Build examples and tutorials" ON)
+
+option(SIGHT_BUILD_MANPAGES "Generate man pages for applications" OFF)
 
 ########################################################################################################################
 # Warn user of install dir isn't empty
@@ -237,6 +237,7 @@
     add_subdirectory(tutorials)
     add_subdirectory(examples)
 endif()
+add_subdirectory(3rd-party)
 
 ########################################################################################################################
 # Export and install targets
@@ -256,6 +257,15 @@
 configure_file(
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake/install/linux/safe-xvfb-run ${CMAKE_CURRENT_BINARY_DIR}/bin/safe-xvfb-run
     COPYONLY
+)
+
+configure_file(
+    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/install/linux/exec_gui_tests.sh ${CMAKE_CURRENT_BINARY_DIR}/bin/exec_gui_tests.sh
+    COPYONLY
+)
+configure_file(
+    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/install/windows/exec_gui_tests.bat
+    ${CMAKE_CURRENT_BINARY_DIR}/bin/exec_gui_tests.bat COPYONLY
 )
 
 # Install the sightConfig.cmake and sightConfigVersion.cmake
@@ -279,5 +289,3 @@
           "${FWCMAKE_RESOURCE_PATH}/build/cppunit_main.cpp"
           "${CMAKE_SOURCE_DIR}/cmake/build/config.hpp.in"
           "${CMAKE_SOURCE_DIR}/cmake/build/plugin_config.cmake"
-          "${CMAKE_SOURCE_DIR}/cmake/build/plugin_config_command.cmake"
-          "${CMAKE_SOURCE_DIR}/cmake/build/profile_config.cmake"
