=== utils/CMakeLists.txt ===
add_subdirectory(DicomAnonymizer)
add_subdirectory(sightrun)
add_subdirectory(arucoMarker)
add_subdirectory(NetworkProxy)
add_subdirectory(sightlog)
