=== apps/ArchiveExtractor/CMakeLists.txt ===
sight_add_target(ArchiveExtractor TYPE APP)

add_dependencies(
    ArchiveExtractor
    sightrun
    module_appXml
    module_ui_base
    module_ui_qt
    module_ui_flaticons
    module_io_zip
)

# Allow dark theme via module_ui_qt
module_param(
    module_ui_qt PARAM_LIST resource stylesheet PARAM_VALUES sight::module::ui::qt/flatdark.rcc
                                                             sight::module::ui::qt/flatdark.qss
)

# Main application's configuration to launch
module_param(module_appXml PARAM_LIST config PARAM_VALUES ArchiveExtractor_AppCfg)

sight_generate_profile(ArchiveExtractor)
