=== apps/SightViewer/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
     sightrun
     module_appXml
     module_ui_base
-    module_viz_scene3d
     module_ui_qt
     module_viz_scene3dQt
     module_service
@@ -14,12 +13,11 @@
     module_ui_base
     module_ui_viz
     module_ui_flaticons
+    module_io_itk
     module_io_vtk
     module_io_dicom
     module_io_session
-    module_viz_scene2d
-    module_data
-    module_filter_image
+    config_viz_scene2d
     config_viz_scene3d
     config_io_dimse
 )
@@ -34,3 +32,7 @@
 module_param(module_appXml PARAM_LIST config PARAM_VALUES SightViewer_AppCfg)
 
 sight_generate_profile(SightViewer)
+
+if(SIGHT_BUILD_TESTS)
+    add_subdirectory(test)
+endif(SIGHT_BUILD_TESTS)
