=== configs/io/CMakeLists.txt ===
add_subdirectory(dimse)
add_subdirectory(video)
