=== configs/ui/CMakeLists.txt ===
add_subdirectory(activity)
add_subdirectory(dataManager)
