=== examples/filter/CMakeLists.txt ===
add_subdirectory(ExDetectCamMotion)
add_subdirectory(ExImageSubstraction)
add_subdirectory(ExRegistration)
if(SIGHT_ENABLE_REALSENSE)
    add_subdirectory(ExRGBDImageMasking)
endif()
add_subdirectory(ExDicomSegmentation)
