=== examples/geometry/CMakeLists.txt ===
add_subdirectory(ExRGBDManualAR)
add_subdirectory(ExSolvePnP)
