=== debian/changelog ===
sight (23.1.0-2build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:42:13 +1100

sight (23.1.0-2build4) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:02:45 +0000

sight (23.1.0-2build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:05:26 +0000

sight (23.1.0-2build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:22:07 +0000

sight (23.1.0-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:13:55 +0000

sight (23.1.0-2) unstable; urgency=medium

  * d/p/gcc13.patch: Update patch (Closes: #1059140)
  * Updated minizip copyright entry

 -- Flavien BRIDAULT <flavien.bridault@ircad.fr>  Thu, 21 Dec 2023 14:22:47 +0100

sight (23.1.0-1) unstable; urgency=medium

  [ Flavien BRIDAULT ]
  * New upstream version
  * d/p/: Remove patches applied upstream
    Add patch to build with gcc13
    Closes: #1037858, #1039529

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

 -- Flavien BRIDAULT <fbridault@ircad.fr>  Mon, 06 Nov 2023 13:04:23 +0100
