=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sight
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Flavien Bridault <fbridault@ircad.fr>
 Section: science
 Priority: optional
@@ -36,7 +37,7 @@
                xvfb,
                zlib1g-dev,
                zstd
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/sight
 Vcs-Git: https://salsa.debian.org/med-team/sight.git
 Homepage: https://git.ircad.fr/Sight/sight
@@ -47,9 +48,7 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: fw4spl
 Provides: fw4spl
-Replaces: fw4spl
 Description: Sight libraries
  The Surgical Image Guidance and
  Healthcare Toolkit aims to ease the creation of
@@ -77,7 +76,7 @@
          zlib1g-dev,
          libexpat1-dev,
          libpng-dev,
-         libtiff5-dev,
+         libtiff-dev,
          libcppunit-dev,
          libhdf5-dev,
          libqt5opengl5-dev,
@@ -124,7 +123,7 @@
  reconstruction, and volume rendering.
  .
  Many image formats are handled such as DICOM, mhd,
- inr.gz, vtk, vti,... Reconstructions can also be imported from 
+ inr.gz, vtk, vti,... Reconstructions can also be imported from
  DICOM segmentations or VTK supported formats, and visualized
  in mixed rendering with images.
  .
