=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 		-DSIGHT_BUILD_TESTS=OFF \
 		-DGIT_TAG=$(DEB_VERSION_UPSTREAM) \
 		-DSIGHT_ARCH=x86-64 \
+		-DSIGHT_BUILD_MANPAGES=ON \
 		-DCMAKE_BUILD_TYPE=Release
 
 override_dh_auto_test:
