## sight 24.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,8 @@
 cmake_policy(SET CMP0106 OLD)
 # Use new policy for CMAKE_MSVC_DEBUG_INFORMATION_FORMAT
 cmake_policy(SET CMP0141 NEW)
+# Use old policy for now because of openCV
+cmake_policy(SET CMP0146 OLD)
 
 if(${CMAKE_VERSION} VERSION_GREATER "3.25.0")
     # Transform the ``DEPFILE`` after running the custom command for Ninja generator.
@@ -42,7 +44,7 @@
 
 project(
     sight
-    VERSION 23.1.0
+    VERSION 24.0.0
     DESCRIPTION "Surgical Image Guidance and Healthcare Toolkit"
     HOMEPAGE_URL "https://git.ircad.fr/sight/sight"
 )
@@ -65,7 +67,6 @@
 
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/flags.cmake)
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/macros.cmake)
-include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/pch.cmake)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/linux/modules)
 
 # We find VTK to know its version so we can enable PCL or not
@@ -164,7 +165,6 @@
 ########################################################################################################################
 # External libraries management
 ########################################################################################################################
-
 set(FWCMAKE_RESOURCE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/)
 
 # Append our 'FindPackages.cmake' to CMAKE_MODULE_PATH
@@ -206,7 +206,6 @@
 ########################################################################################################################
 # Default paths settings for libraries, modules and resources
 ########################################################################################################################
-
 set(FW_INSTALL_PATH_SUFFIX "${PROJECT_NAME}")
 set(SIGHT_MODULE_RC_PREFIX "${CMAKE_INSTALL_DATADIR}/${FW_INSTALL_PATH_SUFFIX}")
 if(WIN32)
@@ -226,6 +225,8 @@
     set(SIGHT_VCPKG_ROOT_DIR "${_VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET}")
     set(EXCLUDE_PATTERN ".*/debug/.*")
 endif()
+
+sight_configure_pch()
 
 add_subdirectory(libs)
 add_subdirectory(modules)
@@ -287,5 +288,4 @@
     FILES "${CMAKE_SOURCE_DIR}/cmake/build/configure_file.cmake"
           "${CMAKE_SOURCE_DIR}/cmake/build/flags.cmake"
           "${FWCMAKE_RESOURCE_PATH}/build/cppunit_main.cpp"
-          "${CMAKE_SOURCE_DIR}/cmake/build/config.hpp.in"
-          "${CMAKE_SOURCE_DIR}/cmake/build/plugin_config.cmake"
+          "${FWCMAKE_RESOURCE_PATH}/build/pch.cpp"
