=== 3rd-party/CMakeLists.txt ===
add_subdirectory(minizip)
