=== utils/CMakeLists.txt ===
add_subdirectory(dicom_anonymizer)
add_subdirectory(sightrun)
add_subdirectory(aruco_marker)
add_subdirectory(network_proxy)
add_subdirectory(sightlog)
