=== examples/ui/CMakeLists.txt ===
add_subdirectory(ex_notifications)
add_subdirectory(ex_parameters)
add_subdirectory(ex_progress_bar)
add_subdirectory(ex_collapsible_section)
