=== libs/navigation/CMakeLists.txt ===
if(SIGHT_ENABLE_OPENVSLAM)
    add_subdirectory(openvslam)
endif()
