=== debian/changelog ===
sight (24.1.0-2build1) plucky; urgency=medium

  * No-change rebuild for opencv 4.10.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 08:48:18 +0000

sight (24.1.0-2) unstable; urgency=medium

  * Team upload.
  * [1d3de11] Add missing build-dep packages.  Closes: #1094050.
  * [f5fe527] Fix usage of itkTypeMacro().  Closes: #1094894.

 -- Steve M. Robbins <smr@debian.org>  Thu, 13 Feb 2025 22:24:09 -0600

sight (24.1.0-1) unstable; urgency=medium

  [ Flavien BRIDAULT ]
  * New upstream version
  * d/p/: Added patch for dcmtk 3.6.8
    Add patch to build with gcc14
    Closes: #1075792, #1075508
  * Depends: add fonts-roboto and do not install those from source

  [ Étienne Mollier ]
  * d/copyright: update copyright years.
  * d/control: declare compliance to standards version 4.7.0.

 -- Flavien Bridault <fbridault@ircad.fr>  Wed, 21 Aug 2024 13:56:45 +0200

sight (23.1.0-3) unstable; urgency=medium

  * Team upload.
  * [c1dc603] Fix FTBFS against VTK9.3. (Closes: #1073822)
  * [afc423e] Update CI-file

 -- Anton Gladky <gladk@debian.org>  Fri, 21 Jun 2024 14:47:57 +0200
