=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: sight
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Flavien Bridault <fbridault@ircad.fr>
 Section: science
 Priority: optional
-Build-Depends: cmake (>=3.19.0),
+Build-Depends: binutils-gold,
+               cmake (>=3.19.0),
                dcmtk,
                debhelper-compat (= 13),
                dh-exec,
@@ -15,7 +15,7 @@
                libcppunit-dev,
                libexpat1-dev,
                libfftw3-dev,
-               libgdcm-dev,
+               libgdcm-dev, libgdcm-tools,
                libglm-dev,
                libinsighttoolkit5-dev,
                libogre-1.12-dev,
@@ -23,11 +23,13 @@
                libopenigtlink-dev,
                libqt5opengl5-dev,
                libqt5x11extras5-dev,
+               libqt5svg5-dev,
                libvtk9-dev,
                libvtkgdcm-dev,
                libvtk9-qt-dev,
                pandoc,
                qt3d5-dev,
+               qtdeclarative5-dev,
                qtmultimedia5-dev,
                qtquickcontrols2-5-dev,
                qttools5-dev,
@@ -37,7 +39,7 @@
                xvfb,
                zlib1g-dev,
                zstd
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/sight
 Vcs-Git: https://salsa.debian.org/med-team/sight.git
 Homepage: https://git.ircad.fr/Sight/sight
@@ -47,7 +49,8 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         fonts-roboto
 Provides: fw4spl
 Description: Sight libraries
  The Surgical Image Guidance and
@@ -81,6 +84,7 @@
          libhdf5-dev,
          libqt5opengl5-dev,
          libqt5x11extras5-dev,
+         libqt5svg5-dev,
          qttools5-dev,
          libvtk9-dev,
          libgdcm-dev,
